#include <Servo.h> // подключаем библиотеку для сервопривода
#define PIN_INPUT 2 // объявляем, что пин2 будет обрабатывать входящий сигнал


Servo servo_1; // объявляем переменную servo типа "servo"
Servo servo_2;
Servo servo_3;
Servo servo_4;
Servo servo_5;


void setup() {

  pinMode(PIN_INPUT, INPUT);

  servo_1.attach(11); // привязываем сервопривод к выходу 11
  servo_2.attach(10);
  servo_3.attach(9);
  servo_4.attach(8);
  servo_5.attach(7);
}

void loop() {
  int sensorVal = digitalRead(PIN_INPUT);
  Serial.println(sensorVal);  // Выводим значение в мониторе порта
  // Логика работы кнопки такова: если кнопка не нажата, то на вход поступает высокий уровень сигнала, если нажата — на входе будет логический ноль
  if (sensorVal == HIGH) {
    MyManipul();  // включаем манипулятор
    delay(5000);
  }
}


void MyManipul(){
    servo_1.write(97); //низ
    delay(500);
    servo_2.write(100); //прав бок
    delay(500);
    servo_3.write(120); //лев бок
    delay(500);
    servo_4.write(90); // горизонт клешни
    delay(500);
    servo_5.write(180); // зажим клешни

    delay(1000);
// наклон вперёд
    servo_1.write(97); //низ
    delay(500);
    servo_2.write(150); //прав бок
    delay(500);
    servo_3.write(30); //лев бок
    delay(500);
    servo_4.write(90); // горизонт клешни
    delay(500);
    servo_5.write(90); // зажим клешни

    delay(1000);
//исходное прямо
    servo_1.write(97); //низ
    delay(500);
    servo_2.write(100); //прав бок
    delay(500);
    servo_3.write(120); //лев бок
    delay(500);
    servo_4.write(90); // горизонт клешни
    delay(500);
    servo_5.write(90); // зажим клешни

    delay(1000);
// поворот влево плюс наклон
    servo_1.write(1); //низ
    delay(500);
    servo_2.write(150); //прав бок
    delay(500);
    servo_3.write(30); //лев бок
    delay(500);
    servo_4.write(90); // горизонт клешни
    delay(500);
    servo_5.write(90); // зажим клешни

    delay(1000);
// вернуться в исходное
    servo_2.write(100); //прав бок
    delay(500);
    servo_3.write(120); //лев бок
    delay(500);
    servo_4.write(90); // горизонт клешни
    delay(500);
    servo_5.write(180); // зажим клешни
    delay(500);
    servo_1.write(97); //низ

    delay(1000);
}
